package com.gotdns.jimula.EatHealthy;

/**
 * <em>BMR</em>(Basal Metabolic Rate) is a class which
 * calculate BMR by giving it IBW(Ideal Body Weight),sleeping hours, and gender.
 * <p>EatHealthy </p>
 * <p>A simple personal nutrient need and food serving calculator </p>
 * <p>Copyright (c) 2003</p>
 * @author Jimmy Ding
 * @version 1.01, 05/01/03
 */
public class BMR {

  //calculated BMR
    private float BMR;

  /**
   * Constructs a new BMR.
   * @param IBW Ideal Body Weight
   * @param sleepingTime sleeping hours
   * @param sex gender
   */
    public  BMR(float IBW, int sleepingTime, String sex) {
      float i;
      if (sex=="Male"){//to determine user's gender
        i=1F;
      }else{
        i=0.9F;
      }

       this.BMR=(float)(i*IBW*24)-(float)(i*IBW*sleepingTime*0.1); //formula
       this.BMR=(float)(Math.round(this.BMR*10))/10;

     } // end BMR

/**
 * Get the calculated BMR of this object.
 * @return a float with BMR
 */
    public float getBMR() {
        return BMR;
    } // end getBMR

} // end BMR
